Subject: Re: [PATCH v11 8/8] builtin/history: implement "reword" subcommand

From: Junio C Hamano <[email-masked]>
Date: Sun, 18 Jan 2026 09:50:34 -0800

Elijah Newren <[email-masked]> writes:

> ... that they don't want to undo and lose.  It feels like a
> hard recovery story.  In contrast, we can consider the case of the
> default being to update all branches for a user who doesn't want it.
> If that user finds that other local branches were also rebased and
> they didn't want them to be, they just go reset that branch or
> branches from the reflog, which is pretty easy.

Very nicely put.  I originally thought that the "reflog is your
friend" argument would apply in both direction, but leaving the tips
of some branches behind while rewriting the tips of some other
branches, that can reach the tips of these left-bhind branches,
would mean we have no other commit to go back to.

Thanks.